//+------------------------------------------------------------------+
//|                                                    SEE_LINES.mq5 |
//|                                           Copyright 2023, Igazi. |
//|                                          https://www.Kreslik.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2023, MetaQuotes Ltd."
#property link      "https://www.mql5.com"
#property version   "1.00"
//#property script_show_inputs
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+

input color LineColor = clrWhite;
input ENUM_LINE_STYLE LineStyle = STYLE_SOLID;

void OnStart() {
   double top = ChartGetDouble(0, CHART_PRICE_MAX);
   double bottom = ChartGetDouble(0, CHART_PRICE_MIN);
   double step = (top - bottom) / 20;
   Comment("EACH LINE: ", NormalizeDouble(step, _Digits));
   for (int i = 0; i <= 20; i++) {
      double price = top - i * step;
      string name = "Line" + IntegerToString(i);
      ObjectCreate(0, name, OBJ_HLINE, 0, 0, price);
      ObjectSetInteger(0, name, OBJPROP_COLOR, LineColor);
      ObjectSetInteger(0, name, OBJPROP_STYLE, LineStyle);
      ObjectSetInteger(0, name, OBJPROP_WIDTH, 1);
      ObjectSetInteger(0, name, OBJPROP_BACK, true);
   }
}
  
//+------------------------------------------------------------------+
